/* default .loading styles, .loading should be invisible, opacity: 0, z-index: -1 */
.loading {
	opacity: 0;
	display: flex;
	justify-content: center;
	align-items: center;
	transition: opacity 0.5s ease-in-out, z-index 0.5s step-end;
	position: fixed;
	height: 100%;
	width: 100%;
	top: 0;
	left: 0;
	background: #333333;
	z-index: -1;
}

#initialization-error {
	position: absolute;
	display: none;
	justify-content: center;
	align-items: center;
	width: 0;
	height: 0;
	opacity: 0;
	z-index: -1;
}

#initialization-error > .card {
	width: 50%;
}

#initialization-error.show {
	opacity: 1;
	display: flex;
	z-index: 500;
	width: 100%;
	height: 100%;
}

/* .loading screen is visible when app is not bootstrapped yet, swft-root is empty */
swft-root:empty ~ .loading {
	opacity: 1;
	z-index: 100;
}

#preload-spinner {
	display: block;
	position: absolute;
	top: 50%;
	left: 50%;
	height: 100px;
	width: 100px;
	margin: -50px 0 0 -50px;
	border: 4px solid transparent;
	border-top-color: #FFFFFF;
	border-radius: 50%;
	-webkit-animation: spin 1.5s ease infinite;
	animation: spin 1.5s ease infinite;
}

#preload-spinner:before {
	content: "";
	position: absolute;
	top: 14px;
	right: 14px;
	bottom: 14px;
	left: 14px;
	border: 4px solid transparent;
	border-radius: 50%;
	border-top-color: #FFFFFF;
	-webkit-animation: spin 3s linear infinite;
	animation: spin 3s linear infinite;
}

#preload-spinner:after {
	content: "";
	position: absolute;
	top: 30px;
	right: 30px;
	bottom: 30px;
	left: 30px;
	border: 4px solid transparent;
	border-radius: 50%;
	border-top-color: #FFFFFF;
	-webkit-animation: spin 1.5s ease infinite;
	animation: spin 1.5s ease infinite;
}

@-webkit-keyframes spin {
	from {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	to {
		-webkit-transform: rotate(359deg);
		transform: rotate(359deg);
	}
}
